Subject: Re: [PATCH net-next 1/3] net: dsa: Configure the MTU for switch ports

From: Andrew Lunn <[email-masked]>
Date: Sun, 24 Nov 2019 23:43:21 +0100

> Correct. I was actually held back a bit while looking at Andrew's
> patch dc0fe7d47f9f ("net: dsa: Set the master device's MTU to account
> for DSA overheads") where he basically discarded errors, so that's the
> approach I took too (thinking that some DSA masters would not have ops
> for changing or reporting the MTU).

Ignoring errors is deliberate because some master interfaces just
worked without having to set the MTU. I was worried that some that
just worked did not implement MTU changes, so i could not error out.

And my experience when things did not work was mostly the MTU did not
matter, but MRU did. The MAC would send frames with a header, but not
receive them with the header. Setting the MTU actually seems to set
the MRU on most MACs.

But when you are thinking about jumbo frames, i would not ignore the
error. We do need to be sure the master interface can support jumbo,
and big enough jumbo to support the header.

    Andrew